{{/* vim: set filetype=mustache: */}}
{{/*
Fill-in the pod annotations and adds prometheus scraper for spring-boot apps
Scope: .Values.SomeApp
*/}}
{{- define "gooddata-cn.annotations" -}}
  {{- if or .podAnnotations .actuator }}
annotations:
    {{- if .podAnnotations }}
      {{- toYaml .podAnnotations | nindent 2 }}
    {{- end -}}
    {{- $actuator := default dict .actuator }}
    {{- if hasKey $actuator "port" }}
  prometheus.io/path: "/actuator/prometheus"
  prometheus.io/port: {{ .actuator.port | quote }}
  prometheus.io/scrape: "true"
    {{- end -}}
  {{- end -}}
{{- end -}}
