{{/*
Add common env variables from pod's metadata
*/}}
{{- define "gooddata-cn.commonEnv" -}}
- name: NODE_IP
  valueFrom:
    fieldRef:
      fieldPath: status.hostIP
- name: POD_NAME
  valueFrom:
    fieldRef:
      fieldPath: metadata.name
- name: NAMESPACE
  valueFrom:
    fieldRef:
      fieldPath: metadata.namespace
- name: LOGGING_APPENDER
  value: "json"
{{- if .Values.commonEnv }}
{{ toYaml .Values.commonEnv }}
{{- end }}
{{- end -}}
