{{- if and .Values.deployPostgresHA .Values.dex.config.database.user (empty (index .Values "postgresql-ha" "pgpool" "customUsersSecret")) (empty (index .Values "postgresql-ha" "pgpool" "customUsers" "usernames")) -}}
{{ fail "You need to specify Dex user and password in pgpool configuration as you have set dedicated user for Dex. The username and password can be set in '.Values.postgresql-ha.pgpool'customUsersSecret' or '.Values.postgresql-ha.pgpool'customUsers.usernames'." }}
{{- end -}}

{{- if and .Values.deployPostgresHA .Values.metadataApi.database.user (empty (index .Values "postgresql-ha" "pgpool" "customUsersSecret")) (empty (index .Values "postgresql-ha" "pgpool" "customUsers" "usernames")) -}}
{{ fail "You need to specify MetadataApi user and password in pgpool configuration as you have set dedicated user for MetadataApi. The username and password can be set in '.Values.postgresql-ha.pgpool'customUsersSecret' or '.Values.postgresql-ha.pgpool'customUsers.usernames'." }}
{{- end -}}

{{- if and .Values.deployPostgresHA .Values.sqlExecutor.database.user (empty (index .Values "postgresql-ha" "pgpool" "customUsersSecret")) (empty (index .Values "postgresql-ha" "pgpool" "customUsers" "usernames")) -}}
{{ fail "You need to specify SqlExecutor user and password in pgpool configuration as you have set dedicated user for SqlExecutor. The username and password can be set in '.Values.postgresql-ha.pgpool'customUsersSecret' or '.Values.postgresql-ha.pgpool'customUsers.usernames'." }}
{{- end -}}